## NAME

           pthread_wait_np - end execution for the current period

## SYNOPSIS

           #include <rtl_sched.h>

           int pthread_wait_np(void);

## DESCRIPTION

           This function is a non-portable Real-Time Linux extension.
           pthread_wait_np ends execution of  the  currently  running
           real-time  thread  until the start of the next period. The
           thread  was  previously   marked   for   execution   using
           pthread_make_periodic_np.

           The thread gives up control until the next time period.

## RETURN VALUE

           Always returns 0.

## ERRORS

           None.

## SEE ALSO

           pthread_make_periodic_np(3), pthread_suspend_np(3)